# 7. Extra credit

### Triggering `hackernews_email_digest` from outside Integration Gateway <a href="#wrappingup-extracredit-triggeringhackernews_email_digestfromoutsideglyue" id="wrappingup-extracredit-triggeringhackernews_email_digestfromoutsideglyue"></a>

{% hint style="info" %}
[Postman](https://www.postman.com/) (an HTTP client for testing APIs) must be installed to proceed.
{% endhint %}

1. Download and install Postman if not already done. Open Postman.
2. Import this collection: [extra\_credit.json](/tutorials/building-an-email-integration/7.-extra-credit/extra_credit-json.md)
3. Go to the collection variables and replace them with the appropriate values.
4. Go to the `hackernews_email_digest` request in the collection and click **Send**.

Integrations aren’t usually triggered by Postman specifically, but it provides us with a way to fine-tune http requests and test APIs. Any external application that wants to trigger a Integration Gateway integration will need the URL as well as the username and password for a Integration Gateway user who has integration execution permissions. Usually, a "service account" user is created for this purpose.

#### Extra-Extra Credit: <a href="#wrappingup-extra-extracredit" id="wrappingup-extra-extracredit"></a>

If the reader has access to an external system such as Salesforce, or some other CRM, POS, or LOS, why not try setting up that system to communicate with Integration Gateway, using the Postman collection as an example?


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/tutorials/building-an-email-integration/7.-extra-credit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
